* * *

Author Topic: Using GDB debugger ...  (Read 1753 times)

rjhover50

  • New member
  • *
  • Posts: 5
Using GDB debugger ...
« on: October 03, 2015, 06:44:20 am »
I've installed Free Pascal 2.6.4 and am trying to use the text based IDE. I can't figure out how to setup the debugger. GDB is installed. I just don't know where to configure the FreePascal IDE to use it.

Any help would be appreciated.

Thanks,
Rich

Cyrax

  • Sr. Member
  • ****
  • Posts: 490
Re: Using GDB debugger ...
« Reply #1 on: October 03, 2015, 02:02:03 pm »
In FPC 2.6.4, GDB is built in the IDE. No need to setup external GDB for debugging.

rjhover50

  • New member
  • *
  • Posts: 5
Re: Using GDB debugger ...
« Reply #2 on: October 03, 2015, 07:37:28 pm »
Thanks for the reply.

I thought that that was the case, but keep getting an error message telling me:

    "No debugger support available"

So, I figured that the IDE was looking for an external install of GDB. I'm running on Ubuntu Mate 14.04. Not sure if that makes a difference, but thought I would mention it.

Thanks,
Rich

rjhover50

  • New member
  • *
  • Posts: 5
Re: Using GDB debugger ...
« Reply #3 on: October 04, 2015, 03:51:45 am »
On another board I found someone who said that the textmode ide cannot use the debugger.

Is that correct?

If not, is there a config fiile I can access to put in the config info so I can get the IDE to see GDB?

Leledumbo

  • Hero Member
  • *****
  • Posts: 7527
  • Programming + Glam Metal + Tae Kwon Do = Me
Re: Using GDB debugger ...
« Reply #4 on: October 04, 2015, 11:56:54 am »
I thought that that was the case, but keep getting an error message telling me:

    "No debugger support available"
This message says that the IDE is not built with debugger support. You can't do anything to it. If you want one, rebuild from source with proper libgdb.a (2.6.4 doesn't have external GDB support).

rjhover50

  • New member
  • *
  • Posts: 5
Re: Using GDB debugger ...
« Reply #5 on: October 06, 2015, 04:40:11 pm »
Quote
This message says that the IDE is not built with debugger support. You can't do anything to it. If you want one, rebuild from source with proper libgdb.a (2.6.4 doesn't have external GDB support).

Thanks for the info. That makes perfect sense.

I'll have to look into it a bit more and see what I can figure out. It might be interesting to see if I can get it to work.

Cheers!

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus